version: '3'

services:
  app:
    build: ./dedup
    restart: unless-stopped
    depends_on:
      - db
    env_file: ./dedup/.env
    ports:
      - "8080:8080"
    volumes:
      - ./dedup:/home/node/app
      - ./dedup/node_modules:/home/node/app/node_modules

  db:
    image: postgres
    restart: unless-stopped
    environment:
      POSTGRES_PASSWORD: pass
      POSTGRES_USER: user
      POSTGRES_DB: db
    ports:
      - "5432:5432"
    volumes:
      - ./pgdata:/var/lib/postgresql/data